(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12032,        373]
NotebookOptionsPosition[      9481,        320]
NotebookOutlinePosition[      9998,        338]
CellTagsIndexPosition[      9955,        335]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.8914863790736513`*^9},ExpressionUUID->"c1754577-7b23-450e-91b5-\
9be5e68cd5db"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Quiet", "@", 
     RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"2", "x"}], 
      RowBox[{
       SuperscriptBox["x", "2"], "-", "1"}]], ",", "x"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8914863864932747`*^9, 3.89148638794319*^9}, {
  3.8914865541111565`*^9, 3.8914865739052534`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"4d96673e-ab5c-4d48-9a74-f771825ecae0"],

Cell[BoxData[
 RowBox[{"Log", "[", 
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SuperscriptBox["x", "2"]}], "]"}]], "Output",
 CellChangeTimes->{{3.891486569346016*^9, 3.8914865744939637`*^9}},
 CellLabel->"Out[4]=",ExpressionUUID->"0119d6ac-7caa-4889-84ad-08706cbba0de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"y", "'"}], "[", "x", "]"}], "==", 
    FractionBox[
     SuperscriptBox["E", "x"], 
     SuperscriptBox["E", 
      RowBox[{"y", "[", "x", "]"}]]]}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.8914867421069517`*^9, 3.8914867926289268`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"5f79569f-0aba-473b-89c0-72c338b19c75"],

Cell[BoxData[
 TemplateBox[{
  "Solve", "ifun", 
   "\"Inverse functions are being used by \
\\!\\(\\*RowBox[{\\\"Solve\\\"}]\\), so some solutions may not be found; use \
Reduce for complete solution information.\"", 2, 5, 2, 29947589828656230028, 
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8914867932462053`*^9},
 CellLabel->
  "During evaluation of \
In[5]:=",ExpressionUUID->"ebcb84ae-4db6-4cd3-b69c-3fe4334d32a9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"y", "[", "x", "]"}], "\[Rule]", 
    RowBox[{"Log", "[", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "x"], "+", 
      TemplateBox[{"1"},
       "C"]}], "]"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8914867932462053`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"da1a0b43-0b04-4ed6-b39f-cefae844023f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  SuperscriptBox["E", 
   RowBox[{
    RowBox[{"-", "3"}], "*", 
    RowBox[{"Log", "[", "x", "]"}]}]], "]"}]], "Input",
 CellChangeTimes->{{3.8914892808824973`*^9, 3.891489291584231*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"9a646881-688e-4910-b6a0-c46901dc12db"],

Cell[BoxData[
 FractionBox["1", 
  SuperscriptBox["x", "3"]]], "Output",
 CellChangeTimes->{3.8914892921659803`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"62f8048e-817b-423e-8940-31eb0e58bbdb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[Lambda]", "2"], "-", 
    RowBox[{"5", "\[Lambda]"}], "+", "6"}], "==", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.891489422926236*^9, 3.8914894391652756`*^9}, {
  3.891490304997484*^9, 3.8914903088709955`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"021d6123-a48a-4778-aac0-36a6daf87f4e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Lambda]", "\[Rule]", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", "\[Rule]", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.891489439418935*^9, 3.8914903091882887`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"eecbc7fc-fc08-4aa5-88e7-a17b87a4aeaf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "x_", "]"}], ":=", 
   RowBox[{"k", "*", "x", "*", 
    SuperscriptBox["E", 
     RowBox[{"3", "x"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "''"}], "[", "x", "]"}], "-", 
   RowBox[{"5", 
    RowBox[{
     RowBox[{"y", "'"}], "[", "x", "]"}]}], "+", 
   RowBox[{"6", 
    RowBox[{"y", "[", "x", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8914906030573673`*^9, 3.8914906757195625`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"95bdf60f-7129-43a3-b892-972c229d05d6"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"3", " ", "x"}]], " ", "k"}]], "Output",
 CellChangeTimes->{{3.8914906591000333`*^9, 3.891490676384156*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"bb6e876d-b26c-4610-b84b-59f629f768b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "*", "x"}], "+", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "''"}], "[", "x", "]"}], "-", 
   RowBox[{"5", 
    RowBox[{
     RowBox[{"y", "'"}], "[", "x", "]"}]}], "+", 
   RowBox[{"6", 
    RowBox[{"y", "[", "x", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8914907359138565`*^9, 3.891490739065222*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"a90f5a23-af93-419b-b257-32e1024ae983"],

Cell[BoxData[
 RowBox[{
  RowBox[{"6", " ", "b"}], "+", 
  RowBox[{"a", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "5"}], "+", 
     RowBox[{"6", " ", "x"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.891490739586927*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"46e32452-16af-4568-be6a-8efb03432588"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"6", "a"}], "==", "12"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"6", "b"}], "-", 
      RowBox[{"5", "a"}]}], "==", "4"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8914907836142817`*^9, 3.891490801978961*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"fa1bce35-7f41-42c9-87ec-fb36c860d4f3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "2"}], ",", 
    RowBox[{"b", "\[Rule]", 
     FractionBox["7", "3"]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.891490802510078*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"acc9a721-a7a1-4bf6-81c5-6c1948867759"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"p", "*", "y1"}], "==", 
    RowBox[{
     RowBox[{"7", "y1"}], "-", 
     RowBox[{"13", "y2"}]}]}], ",", 
   RowBox[{
    RowBox[{"p", "*", "y2"}], "==", 
    RowBox[{
     RowBox[{"6", "y1"}], "-", 
     RowBox[{"6", "y2"}]}]}]}], "}"}]], "Input",
 CellLabel->"In[2]:=",ExpressionUUID->"cb73b8b2-e003-4ba7-b713-164ed3ca4793"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"p", " ", "y1"}], "\[Equal]", 
    RowBox[{
     RowBox[{"7", " ", "y1"}], "-", 
     RowBox[{"13", " ", "y2"}]}]}], ",", 
   RowBox[{
    RowBox[{"p", " ", "y2"}], "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", "y1"}], "-", 
     RowBox[{"6", " ", "y2"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.891491086613204*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"9a039a53-1d47-4c22-82c6-8f5154b90a04"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y2", "'"}], "==", 
   RowBox[{
    RowBox[{"6", "y1"}], "-", 
    RowBox[{"6", "y2"}]}]}], "/.", 
  RowBox[{"{", 
   RowBox[{"y2", "->", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox["7", "6"], "*", "y1"}], ")"}], "-", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "6"], 
       RowBox[{"y1", "'"}]}], ")"}]}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.891491502113519*^9, 3.8914915625981383`*^9}, {
  3.8914916452588*^9, 3.8914917364870453`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"093a8918-e1fd-44ac-9c86-964ca1f52b27"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"7", " ", "y1"}], "6"], "-", 
     FractionBox[
      SuperscriptBox["y1", "\[Prime]",
       MultilineFunction->None], "6"]}], ")"}], "\[Prime]",
   MultilineFunction->None], "\[Equal]", 
  RowBox[{
   RowBox[{"6", " ", "y1"}], "-", 
   RowBox[{"6", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"7", " ", "y1"}], "6"], "-", 
      FractionBox[
       SuperscriptBox["y1", "\[Prime]",
        MultilineFunction->None], "6"]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{{3.891491682432354*^9, 3.8914917373049955`*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"127c0e8c-9f9b-4f11-a865-3ff361957e32"]
}, Open  ]]
},
WindowSize->{1068., 641.25},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.5000001192092896`,
FrontEndVersion->"13.1 for Microsoft Windows (64-bit) (August 22, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"46c336f6-430d-4b51-af24-dfcca3ccefe3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 460, 13, 128, "Input",ExpressionUUID->"c1754577-7b23-450e-91b5-9be5e68cd5db"],
Cell[CellGroupData[{
Cell[1043, 37, 568, 15, 127, "Input",ExpressionUUID->"4d96673e-ab5c-4d48-9a74-f771825ecae0"],
Cell[1614, 54, 270, 6, 51, "Output",ExpressionUUID->"0119d6ac-7caa-4889-84ad-08706cbba0de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1921, 65, 454, 12, 69, "Input",ExpressionUUID->"5f79569f-0aba-473b-89c0-72c338b19c75"],
Cell[2378, 79, 451, 11, 69, "Message",ExpressionUUID->"ebcb84ae-4db6-4cd3-b69c-3fe4334d32a9"],
Cell[2832, 92, 389, 11, 52, "Output",ExpressionUUID->"da1a0b43-0b04-4ed6-b39f-cefae844023f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3258, 108, 307, 7, 46, "Input",ExpressionUUID->"9a646881-688e-4910-b6a0-c46901dc12db"],
Cell[3568, 117, 194, 4, 68, "Output",ExpressionUUID->"62f8048e-817b-423e-8940-31eb0e58bbdb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3799, 126, 375, 8, 46, "Input",ExpressionUUID->"021d6123-a48a-4778-aac0-36a6daf87f4e"],
Cell[4177, 136, 343, 8, 48, "Output",ExpressionUUID->"eecbc7fc-fc08-4aa5-88e7-a17b87a4aeaf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4557, 149, 594, 17, 71, "Input",ExpressionUUID->"95bdf60f-7129-43a3-b892-972c229d05d6"],
Cell[5154, 168, 259, 5, 48, "Output",ExpressionUUID->"bb6e876d-b26c-4610-b84b-59f629f768b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5450, 178, 560, 16, 71, "Input",ExpressionUUID->"a90f5a23-af93-419b-b257-32e1024ae983"],
Cell[6013, 196, 313, 9, 48, "Output",ExpressionUUID->"46e32452-16af-4568-be6a-8efb03432588"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6363, 210, 396, 11, 42, "Input",ExpressionUUID->"fa1bce35-7f41-42c9-87ec-fb36c860d4f3"],
Cell[6762, 223, 304, 8, 68, "Output",ExpressionUUID->"acc9a721-a7a1-4bf6-81c5-6c1948867759"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7103, 236, 391, 13, 42, "Input",ExpressionUUID->"cb73b8b2-e003-4ba7-b713-164ed3ca4793"],
Cell[7497, 251, 466, 14, 48, "Output",ExpressionUUID->"9a039a53-1d47-4c22-82c6-8f5154b90a04"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8000, 270, 734, 23, 97, "Input",ExpressionUUID->"093a8918-e1fd-44ac-9c86-964ca1f52b27"],
Cell[8737, 295, 728, 22, 69, "Output",ExpressionUUID->"127c0e8c-9f9b-4f11-a865-3ff361957e32"]
}, Open  ]]
}
]
*)

