(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12952,        379]
NotebookOptionsPosition[     12202,        360]
NotebookOutlinePosition[     12711,        378]
CellTagsIndexPosition[     12668,        375]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dz", "=", 
   RowBox[{"30", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"diz", "=", 
   RowBox[{"10", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]iz", "=", "0.038"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]z", "=", "0.6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"roCpz", "=", 
   RowBox[{"800", "*", "1700"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"roCpiz", "=", 
   RowBox[{"1270", "*", "40"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prechod", "[", 
    RowBox[{"odkud_", ",", "kam_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", 
       RowBox[{"k", "=", 
        StyleBox["200",
         FontColor->RGBColor[1, 0, 0]]}], ",", "sol"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sol", "=", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"a", "-", "b"}], "==", "odkud"}], ",", 
           RowBox[{
            RowBox[{"a", "+", "b"}], "==", "kam"}]}], "}"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "+", 
        RowBox[{"b", "*", 
         RowBox[{"Tanh", "[", 
          RowBox[{"k", "*", 
           RowBox[{"(", 
            RowBox[{"x", "-", "dz"}], ")"}]}], "]"}]}]}], "/.", "sol"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xmax", "=", 
    RowBox[{"dz", "+", "diz"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"prechod", "[", 
      RowBox[{"1", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{"pom", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
      RowBox[{"AxesOrigin", "->", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rocp", "=", 
   RowBox[{"prechod", "[", 
    RowBox[{"roCpz", ",", "roCpiz"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", 
   RowBox[{"prechod", "[", 
    RowBox[{"\[Lambda]z", ",", "\[Lambda]iz"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"\[Lambda]", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
    RowBox[{"AxesOrigin", "->", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pom", "=", 
   RowBox[{"D", "[", 
    RowBox[{"\[Lambda]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"pom", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
    RowBox[{"AxesOrigin", "->", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "->", "All"}], ",", 
    RowBox[{"PlotPoints", "->", "300"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"div", "[", "v_", "]"}], ":=", 
   RowBox[{"Div", "[", 
    RowBox[{"v", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grad", "[", "s_", "]"}], ":=", 
   RowBox[{"Grad", "[", 
    RowBox[{"s", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{"rocp", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"T", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", "t"}], "]"}]}], "==", 
    RowBox[{"div", "[", 
     RowBox[{"\[Lambda]", "*", 
      RowBox[{"grad", "[", 
       RowBox[{"T", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tpoc", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poc", "=", 
   RowBox[{
    RowBox[{"T", "[", 
     RowBox[{"x", ",", "0"}], "]"}], "==", "Tpoc"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tin", "=", "23"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]in", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"okrVlevo", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Tanh", "[", "t", "]"}], "*", "\[Alpha]in", "*", 
      RowBox[{"(", 
       RowBox[{"Tin", "-", 
        RowBox[{"T", "[", 
         RowBox[{"x", ",", "t"}], "]"}]}], ")"}]}], "==", 
     RowBox[{
      RowBox[{"-", "\[Lambda]"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"T", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], "/.", 
    RowBox[{"x", "->", "0"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]ext", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"den", "=", 
   RowBox[{"24", "*", "3600"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tout", "=", 
   RowBox[{"12", "+", 
    RowBox[{"7", "*", 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"2", "*", "Pi", "*", "t"}], "den"], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"okrVpravo", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Tanh", "[", "t", "]"}], "*", "\[Alpha]ext", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"T", "[", 
         RowBox[{"x", ",", "t"}], "]"}], "-", "Tout"}], ")"}]}], "==", 
     RowBox[{
      RowBox[{"-", "\[Lambda]"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"T", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], "/.", 
    RowBox[{"x", "->", "xmax"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"10", "*", "den"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sol", "=", 
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"rce", ",", "poc", ",", "okrVlevo", ",", "okrVpravo"}], "}"}], 
      ",", "T", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"MaxStepSize", "->", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["xmax", "80"], ",", 
         FractionBox["den", "150"]}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Plot3D", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"T", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "/.", "sol"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"PlotRange", "->", "All"}], ",", 
      RowBox[{"PlotPoints", "->", "200"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Tin", ",", 
     RowBox[{
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "t"}], "]"}], "/.", "sol"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "->", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "25"}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.8914863790736513`*^9, 3.9053189745176764`*^9, {3.905319077857109*^9, 
   3.90531908510818*^9}, {3.9053191645367284`*^9, 3.9053191690538626`*^9}, {
   3.90532043340637*^9, 3.905320464588267*^9}, {3.905320691968742*^9, 
   3.905320703827183*^9}, {3.9053207806562767`*^9, 3.9053208063412557`*^9}, {
   3.905321086675977*^9, 3.9053211001957393`*^9}, {3.905321145211005*^9, 
   3.905321147154952*^9}, {3.905321228134123*^9, 3.9053213168137136`*^9}, {
   3.9053213617619324`*^9, 3.9053214387558002`*^9}, {3.905321753265315*^9, 
   3.905321871648695*^9}, {3.905321983006166*^9, 3.905322054366088*^9}, {
   3.9053221068522882`*^9, 3.905322126609891*^9}, {3.9053221676934853`*^9, 
   3.90532227107155*^9}, {3.9053223467193975`*^9, 3.9053223529620028`*^9}, {
   3.905322551938603*^9, 3.905322576900715*^9}, {3.90532276996271*^9, 
   3.9053228705735545`*^9}, {3.9053229576986847`*^9, 
   3.9053229934103475`*^9}, {3.9053231863123884`*^9, 3.905323263260187*^9}, {
   3.9053233009996967`*^9, 3.9053233392746077`*^9}, {3.9053234019372272`*^9, 
   3.9053235140634117`*^9}, {3.905323875049607*^9, 3.90532390478815*^9}, {
   3.905323948401572*^9, 3.9053239768771753`*^9}, {3.905324164388887*^9, 
   3.905324217915496*^9}, {3.905324263859437*^9, 3.905324291891098*^9}, {
   3.9053243385981784`*^9, 3.9053243429310837`*^9}, {3.9053245182318516`*^9, 
   3.9053245184357862`*^9}},
 CellLabel->
  "In[1171]:=",ExpressionUUID->"d6b81e85-367a-4fbf-946e-cf89a658d895"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Tout", ",", 
      RowBox[{
       RowBox[{"T", "[", 
        RowBox[{"xmax", ",", "t"}], "]"}], "/.", "sol"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "25"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", "Dashed"}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.9053243600959826`*^9, 3.9053244044579244`*^9}},
 CellLabel->
  "In[1203]:=",ExpressionUUID->"0f4e768c-0575-4f6a-a985-836a0a939a93"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Tanh", "[", 
       RowBox[{"k", "*", 
        RowBox[{"(", 
         RowBox[{"x", "-", "kde"}], ")"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
      RowBox[{"PlotRange", "->", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"k", ",", "1"}], "}"}], ",", "0.1", ",", "10"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"kde", ",", "0"}], "}"}], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.905321471559481*^9, 3.9053214807940784`*^9}, {
   3.905321578586076*^9, 3.9053216855471234`*^9}, 3.9053217287311463`*^9},
 CellLabel->
  "In[1204]:=",ExpressionUUID->"cb4b648b-6d8e-4d7b-aab7-7ba13541a98a"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Tanh", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "->", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9053238180096426`*^9, 3.9053238417717023`*^9}},
 CellLabel->
  "In[1205]:=",ExpressionUUID->"485d3285-6480-4b03-8056-5af8c069e2aa"]
},
WindowSize->{1107.75, 804.},
WindowMargins->{{111.75, Automatic}, {-7.5, Automatic}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification:>2.2,
FrontEndVersion->"13.1 for Microsoft Windows (64-bit) (August 22, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c2e2339b-b8e1-4e41-a17f-a4f0c8d0eed0"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 9374, 269, 2093, "Input",ExpressionUUID->"d6b81e85-367a-4fbf-946e-cf89a658d895"],
Cell[9935, 291, 755, 22, 188, "Input",ExpressionUUID->"0f4e768c-0575-4f6a-a985-836a0a939a93"],
Cell[10693, 315, 1131, 32, 188, "Input",ExpressionUUID->"cb4b648b-6d8e-4d7b-aab7-7ba13541a98a"],
Cell[11827, 349, 371, 9, 62, "Input",ExpressionUUID->"485d3285-6480-4b03-8056-5af8c069e2aa"]
}
]
*)

