(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9843,        288]
NotebookOptionsPosition[      8099,        250]
NotebookOutlinePosition[      8596,        268]
CellTagsIndexPosition[      8553,        265]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.8914863790736513`*^9},ExpressionUUID->"c1754577-7b23-450e-91b5-\
9be5e68cd5db"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"kJ", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EnergyOfOneBeer", "=", 
   RowBox[{
    FractionBox["1850", "2"], "kJ"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", "85"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"EnergyOfOneBeer", "==", 
   RowBox[{"h", "*", "m", "*", "g"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.9055668999752355`*^9, 3.9055669379657764`*^9}, {
  3.905566988242711*^9, 3.9055670288514433`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"aa4419cc-fce9-4ced-91aa-65e9653116a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"h", "\[Rule]", "1109.3122264196197`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.905567032175639*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"202d6a42-a763-455a-bb38-509b73b76621"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cH2O", "=", "4186"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]T", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"m", "*", "cH2O", "*", "\[CapitalDelta]T"}], "==", 
    RowBox[{"h", "*", "m", "*", "g"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.9055671622893305`*^9, {3.9055677818209705`*^9, 3.9055677880520177`*^9}, {
   3.9055682772254243`*^9, 3.9055683377116194`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"304e11dc-be60-4a1e-aa63-b161bcf5b6d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"h", "\[Rule]", "426.70744138634046`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.905568331959365*^9, 3.9055683379627748`*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"62003e41-ec45-41ba-9004-7b766e6baaf0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"T", "''"}], "[", "x", "]"}], "==", "0"}], ",", 
        RowBox[{
         RowBox[{"T", "[", "0", "]"}], "==", "T1"}], ",", 
        RowBox[{
         RowBox[{"T", "[", "d", "]"}], "==", "T2"}]}], "}"}], ",", 
      RowBox[{"T", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"temperature", "=", 
   RowBox[{
    RowBox[{"T", "[", "x", "]"}], "/.", "sol"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<T[x]= \>\"", ",", "temperature"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"q", "=", 
  RowBox[{
   RowBox[{"-", "\[Lambda]"}], "*", 
   RowBox[{"Grad", "[", 
    RowBox[{"temperature", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"qx", "=", 
  RowBox[{"q", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<qx= \>\"", ",", "qx"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P", "=", 
   RowBox[{"S", "*", "qx"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", "P"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.9055737778825502`*^9, 3.9055738150895767`*^9}, {
  3.9055739055683155`*^9, 3.905573927723995*^9}, {3.905573966496211*^9, 
  3.905574008285709*^9}, {3.9055740929677677`*^9, 3.9055741529535847`*^9}, {
  3.905574330376695*^9, 3.9055743528410826`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"53105082-4616-4649-abf3-8ed076ea2305"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T[x]= \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     RowBox[{"d", " ", "T1"}], "-", 
     RowBox[{"T1", " ", "x"}], "+", 
     RowBox[{"T2", " ", "x"}]}], "d"]}],
  SequenceForm[
  "T[x]= ", $CellContext`d^(-1) ($CellContext`d $CellContext`T1 - \
$CellContext`T1 $CellContext`x + $CellContext`T2 $CellContext`x)],
  Editable->False]], "Print",
 CellChangeTimes->{{3.9055741073007765`*^9, 3.905574153659658*^9}, 
   3.9055743539803867`*^9},
 CellLabel->
  "During evaluation of \
In[72]:=",ExpressionUUID->"ec517fa1-22b0-414b-8570-71800690c958"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "T1"}], "+", "T2"}], ")"}], " ", "\[Lambda]"}], "d"]}], 
   ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.9055741215717955`*^9, 3.9055741536752825`*^9}, 
   3.9055743539803867`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"9320f5de-07f3-419e-9243-38b4a3ed9098"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "T1"}], "+", "T2"}], ")"}], " ", "\[Lambda]"}], 
   "d"]}]], "Output",
 CellChangeTimes->{{3.9055741215717955`*^9, 3.9055741536752825`*^9}, 
   3.90557435399601*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"c86d38be-8c57-4901-aa18-4a108afe485d"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"qx= \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "T1"}], "+", "T2"}], ")"}], " ", "\[Lambda]"}], "d"]}]}],
  SequenceForm[
  "qx= ", -$CellContext`d^(-1) (-$CellContext`T1 + $CellContext`T2) \
$CellContext`\[Lambda]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.9055741073007765`*^9, 3.905574153659658*^9}, 
   3.905574353998734*^9},
 CellLabel->
  "During evaluation of \
In[72]:=",ExpressionUUID->"d22b5d94-1ba5-4048-bf41-0ae7f08567a2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"P= \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"S", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "T1"}], "+", "T2"}], ")"}], " ", "\[Lambda]"}], "d"]}]}],
  SequenceForm[
  "P= ", -$CellContext`d^(-1) $CellContext`S (-$CellContext`T1 + \
$CellContext`T2) $CellContext`\[Lambda]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.9055741073007765`*^9, 3.905574153659658*^9}, 
   3.905574353998734*^9},
 CellLabel->
  "During evaluation of \
In[72]:=",ExpressionUUID->"b235d26e-0701-4bfd-9b32-8aa1d1dc2342"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 SqrtBox["1000."]], "Input",
 CellChangeTimes->{{3.9055764885909977`*^9, 3.9055764904583282`*^9}},
 CellLabel->"In[81]:=",ExpressionUUID->"eb861758-7134-4a07-a592-935332f4ad5c"],

Cell[BoxData["31.622776601683793`"], "Output",
 CellChangeTimes->{3.90557649074712*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"02d0a230-3a1f-43f6-b6ee-0bc68081a672"]
}, Open  ]]
},
WindowSize->{1293, 795},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification:>2.4,
FrontEndVersion->"13.1 for Microsoft Windows (64-bit) (August 22, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2130990b-9132-4736-b6d4-1579a4c4e83e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 460, 13, 205, "Input",ExpressionUUID->"c1754577-7b23-450e-91b5-9be5e68cd5db"],
Cell[CellGroupData[{
Cell[1043, 37, 671, 16, 295, "Input",ExpressionUUID->"aa4419cc-fce9-4ced-91aa-65e9653116a4"],
Cell[1717, 55, 241, 5, 77, "Output",ExpressionUUID->"202d6a42-a763-455a-bb38-509b73b76621"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1995, 65, 885, 22, 388, "Input",ExpressionUUID->"304e11dc-be60-4a1e-aa63-b161bcf5b6d0"],
Cell[2883, 89, 268, 5, 77, "Output",ExpressionUUID->"62003e41-ec45-41ba-9004-7b766e6baaf0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3188, 99, 1877, 51, 479, "Input",ExpressionUUID->"53105082-4616-4649-abf3-8ed076ea2305"],
Cell[5068, 152, 609, 16, 79, "Print",ExpressionUUID->"ec517fa1-22b0-414b-8570-71800690c958"],
Cell[5680, 170, 421, 12, 104, "Output",ExpressionUUID->"9320f5de-07f3-419e-9243-38b4a3ed9098"],
Cell[6104, 184, 351, 10, 104, "Output",ExpressionUUID->"c86d38be-8c57-4901-aa18-4a108afe485d"],
Cell[CellGroupData[{
Cell[6480, 198, 584, 17, 78, "Print",ExpressionUUID->"d22b5d94-1ba5-4048-bf41-0ae7f08567a2"],
Cell[7067, 217, 607, 17, 78, "Print",ExpressionUUID->"b235d26e-0701-4bfd-9b32-8aa1d1dc2342"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7723, 240, 191, 3, 72, "Input",ExpressionUUID->"eb861758-7134-4a07-a592-935332f4ad5c"],
Cell[7917, 245, 166, 2, 83, "Output",ExpressionUUID->"02d0a230-3a1f-43f6-b6ee-0bc68081a672"]
}, Open  ]]
}
]
*)

